Subject: Re: What's cooking in git.git (Feb 2015, #06; Sun, 22)

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2015 11:00:21 -0800

Michael J Gruber <[email-masked]> writes:

> status, status -s and the like are in an ordinary user's tool box.
> ls-files isn't, at least not with "-t", which we even mark as deprecated.
>
> That makes me wonder, though, how difficult it would be to
> wt_status_collect_unchanged() and to leverage the status machinery
> rather than ls-files.

Good point.  wt-status feels like a much better infrastructure to
build on than "ls-files -t", which should die ;-).  Especially if
the command is interested in showing the state of the working tree
files relative to the tree of HEAD, as "ls-files" is purely between
the index and the working tree.